/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.dynamo.util;

public class PropertyKey
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private int m_nsid;
  private String m_name;

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  public PropertyKey(int nsid, String name)
  {
    m_nsid = nsid;
    m_name = name;

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Overrides from class Object
   *--------------------------------------------------------------------------------
   */

  public boolean equals(Object o)
  {
    if ((o==null) || !(o instanceof PropertyKey))
      return false;
    PropertyKey other = (PropertyKey)o;
    return ((m_nsid==other.m_nsid) && m_name.equals(other.m_name));

  } // end equals

  public int hashCode()
  {
    return m_nsid ^ m_name.hashCode();

  } // end hashCode

  public String toString()
  {
    return "{" + m_nsid + "}" + m_name;

  } // end toString

  /*--------------------------------------------------------------------------------
   * External operations
   *--------------------------------------------------------------------------------
   */

  public final int getNamespaceID()
  {
    return m_nsid;

  } // end getNamespaceID

  public final String getName()
  {
    return m_name;

  } // end getName

} // end class PropertyKey
